#include <kurlrequester.h>

#include "ctags2_createtagfile.h"
#include "ctags2_part.h"


CreateTagFile::CreateTagFile(CTags2Part* part, QWidget* parent, 
							 const char* name, bool modal, WFlags fl)
{
	m_part = part;
	dirToTag->setMode(KFile::Directory);
}



CreateTagFile::~CreateTagFile()
{
}


void CreateTagFile::createTagFile()
{
	// we need a tag file path and directory to run ctags on
	if (newTagFilePath->url().isEmpty() || dirToTag->url().isEmpty())
		return;

	m_part->createTagsFile(newTagFilePath->url(), dirToTag->url());
	accept();
}
